noinst_LIBRARIES=librc2.a
TESTS=rc2test
EXTRA_PROGRAMS=rc2test
INCLUDES=-I$(top_srcdir)/crypto

librc2_a_SOURCES=rc2_cbc.c rc2_ecb.c rc2_skey.c rc2cfb64.c rc2ofb64.c

rc2test_SOURCES=rc2test.c
rc2test_LDFLAGS=-L$(top_builddir)/crypto
rc2test_LDADD=-lcrypto
rc2test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl rc2.h rc2.org rc2_locl.h rrc2.doc version

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
